Subject: Re: [TLS] Comments/Questions on draft-gutmann-tls-encrypt-then-mac-00.txt

From: Peter Gutmann <[email-masked]>
Date: Wed, 25 Sep 2013 23:26:09 +0000

Bodo Moeller <[email-masked]> writes:

>Consider a client and server that both support a secure protocol version, but
>where the client will reconnect using an older protocol version if it
>suspects that that's necessary for interoperability.  Since in this scenario,
>the client won't reliably know if handshake failures indicate interoperability
>problems with the actual server or with an active attacker, having a security
>fix that can be applied to the older protocol version as well has a clear
>benefit.

Sure, but that's not specific to EtM, it affects any security mechanism
introduced in newer protocol versions.  I think draft-bmoeller-tls-downgrade-
scsv-00 nicely deals with this in a general-purpose manner (i.e. not something
specific to EtM).

Peter.